Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::ServerActivator_Impl Class Reference

Servant implementation for Components::Deployment::ServerActivator. More...

`#include <ServerActivator_Impl.h>`

List of all members.

## Public Methods
| ServerActivator_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p)
| Constructor.
virtual | ~ServerActivator_Impl (void)
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
int | init (const char *server_location, CORBA::ULong delay, const char *installation_ior, const char *default_svcconf, const char *svcconf_map_file ACE_ENV_ARG_DECL_WITH_DEFAULTS) ACE_THROW_SPEC((CORBA
int | init_svcconf_map (const char *map_file)
const char * | lookup_svcconf_pathname (const char *hint) const
## Public Attributes
| CompServ_Config_Info

## Detailed Description

Servant implementation for Components::Deployment::ServerActivator.

This class implements the Components::Deployment::ServerActivator interface as defined by the CCM spcification. As the interface implies, this is actually part of the deployment interface and is used to manage the lifecycle of containers running on the server.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::ServerActivator_Impl::ServerActivator_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p
| ) |

| Constructor.

CIAO::ServerActivator_Impl::~ServerActivator_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::ServerActivator_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

int CIAO::ServerActivator_Impl::init | ( | const char * | server_location,
|  | CORBA::ULong | delay,
|  | const char * | installation_ior,
|  | const char * | default_svcconf,
|  | const char *svcconf_map_file | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[inline]`

| Contains the information extracted from create_component_server's ConfigValue argument that ServerActivation cares.

int CIAO::ServerActivator_Impl::init_svcconf_map | ( | const char * | map_file | ) |

| Initialize svc_conf_map_ with the supplied filename.

const char * CIAO::ServerActivator_Impl::lookup_svcconf_pathname | ( | const char * | hint | ) | const

| Returns the pathname to the effective svc.conf file based on "hint." It may return the default svc.conf file when there's no hint (hint == 0) and we do have a default svc.conf path.

## Member Data Documentation

CIAO::ServerActivator_Impl::CompServ_Config_Info

The documentation for this class was generated from the following files:

- ServerActivator_Impl.h
- ServerActivator_Impl.cpp
- ServerActivator_Impl.inl